Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.j2ee.statistics
Class EJBStatsImpl

    java.lang.Object
      org.jboss.management.j2ee.statistics.StatsBase
          org.jboss.management.j2ee.statistics.EJBStatsImpl

All Implemented Interfaces:
  javax.management.j2ee.statistics.EJBStats, Serializable, javax.management.j2ee.statistics.Stats

Direct Known Subclasses:
  EntityBeanStatsImpl, MessageDrivenBeanStatsImpl, StatefulSessionBeanStatsImpl, StatelessSessionBeanStatsImpl

public abstract class EJBStatsImpl
extends StatsBase
implements javax.management.j2ee.statistics.EJBStats

The JSR77.6.11 EJBStats implementation

Version:
  $Revision: 1.4 $
Author:
  Scott.Stark@jboss.org
See Also:
  Serialized Form

Constructor Summary
`EJBStatsImpl()`
`EJBStatsImpl(javax.management.j2ee.statistics.CountStatistic createCount, javax.management.j2ee.statistics.CountStatistic removeCount)`

Method Summary
`javax.management.j2ee.statistics.CountStatistic` | `getCreateCount()` Number of times create was called.
`javax.management.j2ee.statistics.CountStatistic` | `getRemoveCount()` Number of times remove was called.

Methods inherited from class org.jboss.management.j2ee.statistics.StatsBase
`addStatistic, getStatistic, getStatisticNames, getStatistics, reset, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Constructor Detail

### EJBStatsImpl

    public EJBStatsImpl()

### EJBStatsImpl

    public EJBStatsImpl(javax.management.j2ee.statistics.CountStatistic createCount,
                        javax.management.j2ee.statistics.CountStatistic removeCount)

Method Detail

### getCreateCount

    public javax.management.j2ee.statistics.CountStatistic getCreateCount()

  Description copied from interface: `javax.management.j2ee.statistics.EJBStats`
  Number of times create was called.

  Specified by:
    `getCreateCount` in interface `javax.management.j2ee.statistics.EJBStats`

### getRemoveCount

    public javax.management.j2ee.statistics.CountStatistic getRemoveCount()

  Description copied from interface: `javax.management.j2ee.statistics.EJBStats`
  Number of times remove was called.

  Specified by:
    `getRemoveCount` in interface `javax.management.j2ee.statistics.EJBStats`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.